Skip to content
Start here

Kick all participants

POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick-all

Kicks all participants from an active session for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

maxLength32
meeting_id: string
ReturnsExpand Collapse
data: optional object { action, kicked_participants_count }
action: optional string
kicked_participants_count: optional number
success: optional boolean

Kick all participants

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/meetings/$MEETING_ID/active-session/kick-all \
    -X POST \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": {
    "action": "action",
    "kicked_participants_count": 0
  },
  "success": true
}
Returns Examples
{
  "data": {
    "action": "action",
    "kicked_participants_count": 0
  },
  "success": true
}